Bug 982315 - workspaces thumbnails in overview too narrow with large number of workspaces
workspaces thumbnails in overview too narrow with large number of workspaces
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
19
All Linux
medium Severity medium
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1092102
  Show dependency treegraph
 
Reported: 2013-07-08 11:55 EDT by Jeff Bastian
Modified: 2014-04-28 14:57 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1092102 (view as bug list)
Environment:
Last Closed: 2014-04-28 14:57:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
overview of workspaces with fixed number (277.19 KB, image/png)
2013-07-08 11:58 EDT, Jeff Bastian
no flags Details
overview of workspaces with dynamic number (310.59 KB, image/png)
2013-07-08 11:59 EDT, Jeff Bastian
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 694881 None None None Never

  None (edit)
Description Jeff Bastian 2013-07-08 11:55:14 EDT
Description of problem:
If using a fixed number of workspaces -- either from gnome-tweak-tool or by using the Gnome Classic session -- the gnome-shell overview only shows a few pixels of the workspaces.  The full workspaces are shown with dynamic workspaces.

Version-Release number of selected component (if applicable):
gnome-shell-3.8.3-3.fc19.x86_64

How reproducible:
every time

Steps to Reproduce:
1. set fixed number of workspaces in gnome-tweak-tool
2. hit Super key to activate overview


Actual results:
the workspaces in the overview are only a few pixels wide

Expected results:
the workspaces overview are full miniature views of the workspaces

Additional info:
Comment 1 Jeff Bastian 2013-07-08 11:58:54 EDT
Created attachment 770556 [details]
overview of workspaces with fixed number
Comment 2 Jeff Bastian 2013-07-08 11:59:39 EDT
Created attachment 770557 [details]
overview of workspaces with dynamic number
Comment 3 Florian Müllner 2013-07-08 17:58:58 EDT
This is not an issue of dynamic vs. static workspaces, the position starts to shift off-screen when using more than x workspaces, see https://bugzilla.gnome.org/show_bug.cgi?id=694881.
Comment 4 Jeff Bastian 2013-07-09 07:54:06 EDT
Oh, interesting!  I went back to dynamic and started adding windows to each workspace as it was created and sure enough, the side bar got narrower and narrower with each new workspace until it disappeared completely!
Comment 5 Kevin R. Page 2013-07-16 06:34:32 EDT
(In reply to Jeff Bastian from comment #4)
> Oh, interesting!  I went back to dynamic and started adding windows to each
> workspace as it was created and sure enough, the side bar got narrower and
> narrower with each new workspace until it disappeared completely!

Yes, I'm seeing this too on a machine upgraded to F19, gnome-shell-3.8.3-3.fc19.x86_64. This configuration has always used dynamic workspaces (or is this known to affect all configs?). Visual switcher disappears down to nothing with a relatively small number of workspaces (9 or 10) but is pretty unusable with just 7 or so as it no longer provides the visual clue it's there for.
Comment 6 Jeff Bastian 2014-04-28 14:57:43 EDT
This is working correctly now with gnome-shell-3.10.4-2.fc20 in Fedora 20

Note You need to log in before you can comment on or make changes to this bug.